
SELinux - Bug #10443

Foreman cannot connect to OpenStack

05/11/2015 07:37 AM - Lukas Zapletal

Status: Closed   

Priority: High   

Assignee: Lukas Zapletal   

Category: Compute resources   

Target version: 1.11.2   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link: 1318327 Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman-s

elinux/pull/45

  

Description

We already attemted to fix this, but it looks like there are multiple ports we need to open.

Related issues:

Related to SELinux - Bug #7346: Foreman can't connect to OpenStack port 5000 Closed 09/04/2014

Related to SELinux - Bug #15639: OpenStack 8774 port is not associated on RHEL6 Closed 07/11/2016

Associated revisions

Revision e54934d3 - 05/03/2016 09:07 AM - Lukas Zapletal 

Fixes #10443 - added OpenStack nova rules

This patch introduces new type for missing OpenStack port Compute

(Nova) on EL6, where no port type is provided.

History

#1 - 05/11/2015 07:38 AM - Lukas Zapletal

- Related to Bug #7346: Foreman can't connect to OpenStack port 5000 added

#2 - 05/11/2015 07:38 AM - Lukas Zapletal

- Category set to Compute resources

- Bugzilla link set to 1136991

#3 - 06/03/2015 05:48 AM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/foreman-selinux/pull/45 added

- Pull request deleted ()

#4 - 03/22/2016 05:39 AM - Lukas Zapletal

- Priority changed from Normal to High

- Bugzilla link changed from 1136991 to 1318327

Associted with Satellite 6.2 BZ.

#5 - 04/18/2016 04:06 PM - Lukas Zapletal

For the record, the AVC is:

time->Mon Apr 18 16:02:08 2016

type=SYSCALL msg=audit(1461009728.766:803): arch=c000003e syscall=42 success=no exit=-13 a0=14 a1=99f0738 a2=1

0 a3=f4f808 items=0 ppid=1 pid=26300 auid=4294967295 uid=997 gid=995 euid=997 suid=997 fsuid=997 egid=995 sgid

=995 fsgid=995 tty=(none) ses=4294967295 comm="diagnostic_con*" exe="/opt/rh/rh-ruby22/root/usr/bin/ruby" subj

=system_u:system_r:passenger_t:s0 key=(null)
type=AVC msg=audit(1461009728.766:803): avc:  denied  { name_connect } for  pid=26300 comm="diagnostic_con*" d

est=8774 scontext=system_u:system_r:passenger_t:s0 tcontext=system_u:object_r:osapi_compute_port_t:s0 tclass=t

cp_socket 

#6 - 05/03/2016 10:01 AM - Anonymous

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset e54934d3670db55d5f956ff5121da53e29d1b3b5.

#7 - 05/04/2016 03:58 AM - Dominic Cleal

- translation missing: en.field_release set to 155

#8 - 07/14/2016 04:09 AM - Dominic Cleal

- Related to Bug #15639: OpenStack 8774 port is not associated on RHEL6 added
